Subject: bug#27456: 25.2; Not possible to use -prune with find-dired

From: Phil Sainty <[email-masked]>
Date: Sun, 9 Sep 2018 17:22:21 +1200

The two workarounds indicated here do work nicely.

For reference, to list everything except a certain directory
(.git, in this example), you could use either of the following
option sets at the "Run find (with args):" prompt:

-type d -name .git -prune , -true
-type d -name .git -prune -false -o -true

Despite that, I think it would be useful and consistent for
`find-dired' to acquire the prefix argument behaviour of `rgrep':

> With C-u prefix, you can edit the constructed shell command line
> before it is executed.
> With two C-u prefixes, directly edit and run `grep-find-command'.

This would give some users a more familiar solution to the problem
if they are not used to the particular find options needed to work
around the problem (which was the situation I found myself in just
the other day, so the new activity on this bug was very timely :)

-Phil